Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Class XSQLDiagnostic

`java.lang.Object
oracle.xml.xsql.XSQLDiagnostic`

      public final class XSQLDiagnostic

extends java.lang.Object

Constructor Summary
`XSQLDiagnostic(java.lang.String diagFile)`

Method Summary
`static void` `debugPrintToFile(java.lang.String msg, java.lang.String filename)`
`protected void` `finalize()`
`void` `msg(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLDiagnostic

    public XSQLDiagnostic(java.lang.String diagFile)

Method Detail

### msg

    public void msg(java.lang.String text)

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

### debugPrintToFile

    public static void debugPrintToFile(java.lang.String msg,
                                        java.lang.String filename)

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.